[Overview][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'process' (#fcl)

# TProcess.OnForkEvent

Event triggered after fork occurred on Linux

## Declaration

Source position: process.pp line 135

`public property TProcess.OnForkEvent : TProcessForkEvent read FForkEvent write FForkEvent;`

## Description

OnForkEvent is triggered after the fpForkcall in the child process. It can be used to e.g. close file descriptors and make changes to other resources before the fpexecv call. This event is not used on windows.

## See also

Output |  | Stream connected to standard output of the process.
Input |  | Stream connected to standard input of the process.
StdErr |  | Stream connected to standard diagnostic output of the process.
CloseInput |  | Close the input stream of the process
CloseStdErr |  | Close the error stream of the process
TProcessForkEvent |  | Prototype for TProcess.OnForkEvent event handler

Documentation generated on: Feb 26 2014